#include<iostream>
#include<conio.h>
using namespace std;
int main()
{
	int Digits[50] = {0};
	int x, y, i, j;
	cout << "adad ra vared konid : ";
	cin >> x;
	y = x;
	for(i=0; x > 0; i++)
	{
		Digits[i] = x % 10;
		x /= 10;
	}
	i--;
	for(j=0; j < i; j++, i--)
		if(Digits[i] != Digits[j])
			break;
	if(j >= i)
		cout << "adad " << y << " motagharen ast";
	else
		cout << "adad " << y << " motagharen nist";
	getch();
}

